class EmailsController < ApplicationController

  # GET /emails
  def index
    @emails = Email.order(date: :desc).page(params[:page])
  end

  # GET /emails/1
  def show
    @email = Email.find(params[:id])
  end

  # DELETE /emails/1
  def destroy
    @email = Email.find(params[:id])
    @email.destroy
    redirect_to emails_url, notice: 'Email was successfully destroyed.'
  end
end
